%define	major 0
%define gir_major 1.0
%define libname %mklibname gsystem %{major}
%define gir_name %mklibname gsystem-gir %{gir_major}
%define develname %mklibname -d gsystem

Name:		libgsystem
Version:	2015.2
Release:	%mkrel 1
Summary:	GIO-based library for use by operating system components
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/LibGSystem
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz
#-----------------------------------------
BuildRequires: %{_lib}attr1-devel
BuildRequires: %{_lib}cap-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: gtk-doc
#-----------------------------------------

%description
LibGSystem is a GIO-based library, targeted primarily
for use by operating system components. It has a few goals:

- Provide macros for the GCC attribute(cleanup) that work
with GLib data types. Using these can dramatically simplify
local memory management inside functions.
- Prototype and test APIs that will eventually be in GLib.
Currently these include "GSSubprocess" for launching child
processes, and some GFile helpers.
- Provide Linux-specific APIs in a nicer GLib fashion,
such as O_NOATIME.

LibGSystem is a GIO-based library, targeted primarily
for use by operating system components.

%package -n %{libname}
Summary:	GIO-based library for use by operating system components
Group:		System/Libraries

%description -n %{libname}
LibGSystem is a GIO-based library, targeted primarily
for use by operating system components. It has a few goals:

- Provide macros for the GCC attribute(cleanup) that work
with GLib data types. Using these can dramatically simplify
local memory management inside functions.
- Prototype and test APIs that will eventually be in GLib.
Currently these include "GSSubprocess" for launching child
processes, and some GFile helpers.
- Provide Linux-specific APIs in a nicer GLib fashion,
such as O_NOATIME.

LibGSystem is a GIO-based library, targeted primarily
for use by operating system components.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%make_install
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README COPYING
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/girepository-1.0/*-%{gir_major}.typelib

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-*/*-%{gir_major}.gir

%changelog
* Sat Jun 25 2016 bb <bb> 2015.2-1pclos2016
- import from france with mods

